<?php
/**
 * @copyright
 */

defined('_JEXEC') or die;

/**
 * Class __nameCamelcase__ViewCpanel
 */
class __nameCamelcase__ViewCpanel extends F0FViewHtml
{
	/**
	 * Add styles and scripts.
	 *
	 * @param $tpl
	 */
	public function onBrowse($tpl = null)
	{
		JHtml::stylesheet('/media/__name__/assets/css/administrator.css');
		JHtml::stylesheet('/media/__name__/assets/css/cpanel.css');

		$this->set('version', __nameCamelcase__Helper::getVersion());
	}

	/**
	 * Returns the markup for a cpanel shortcut button.
	 *
	 * @param string $view   The view for the button link.
	 * @param string $layout The optional layout for the button link.
	 */
	public function getShortcutButton($view, $layout = '')
	{
		$url   = 'index.php?option=__name__&view=' . $view;
		$label = JText::_('__nameUppercase___TITLE_' . $view);

		// Add layout fragment if declared in the parameters
		if (!empty($layout))
		{
			$url .= '&layout=' . $layout;
		}

		// Build URL (also if not necessary in administration)
		$url = JRoute::_($url);

		return '
		<a href="' . $url . '" title="' . $label . '"class="btn btn-large shortcut" id="' . $view . '-button">
			<i class="__unprefixedName__-icon-' . $view . '"></i>
			<span>' . $label . '</span>
		</a>';
	}
}
